<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.204
Description: Procedure Findings Section
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.204">
   <title>Procedure Findings Section</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.204
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.204']]
Item: (ProcedureFindingsSection)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.204
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.204']]/hl7:section
Item: (ProcedureFindingsSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.204']]/hl7:section"
         id="tmp-91a80057-923c-4619-b337-96883a32e435">
      <assert role="warning"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.204.html"
              test="count(* except (hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.204']|hl7:code|hl7:title|hl7:text|hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.337']]]|hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.307']]]|hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.320']]]))=0">(ProcedureFindingsSection): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.204.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.204'])&gt;=1 ">(ProcedureFindingsSection): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.204'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.204.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.204'])&lt;=1">(ProcedureFindingsSection): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.204'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.204.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(ProcedureFindingsSection): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.204.html"
              test="count(hl7:code)&lt;=1">(ProcedureFindingsSection): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.204.html"
              test="count(hl7:title)&gt;=1 ">(ProcedureFindingsSection): element hl7:title is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.204.html"
              test="count(hl7:title)&lt;=1">(ProcedureFindingsSection): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.204.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(ProcedureFindingsSection): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.204.html"
              test="count(hl7:text)&lt;=1">(ProcedureFindingsSection): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.204.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.337']]])&lt;=1">(ProcedureFindingsSection): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.337']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.204.html"
              test="count(hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.307']]])&gt;=1 and not(hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.307']]]/@nullFlavor)">(ProcedureFindingsSection): element hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.307']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.204.html"
              test="count(hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.307']]])&lt;=1">(ProcedureFindingsSection): element hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.307']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.204.html"
              test="count(hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.320']]])&gt;=1 and not(hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.320']]]/@nullFlavor)">(ProcedureFindingsSection): element hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.320']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.204.html"
              test="count(hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.320']]])&lt;=1">(ProcedureFindingsSection): element hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.320']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.204
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.204']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.204']
Item: (ProcedureFindingsSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.204']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.204']"
         id="tmp-28c2d03e-aa6a-464b-8709-afd4c11acccd">
      <let name="xsiTypePfx" value="substring-before(@xsi:type,':')"/>
      <let name="xsiTypeVal"
           value="if (contains(@xsi:type,':')) then (substring-after(@xsi:type,':')) else (@xsi:type)"/>
      <let name="xsiTypeNS" value="namespace-uri-for-prefix($xsiTypePfx,.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.204.html"
              test="@nullFlavor or ($xsiTypeVal='II' and $xsiTypeNS='urn:hl7-org:v3') or not(@xsi:type)">(ProcedureFindingsSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.204.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.36.10.204'">(ProcedureFindingsSection): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.204' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.204.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(ProcedureFindingsSection): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.204
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.204']]/hl7:section/hl7:code
Item: (ProcedureFindingsSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.204']]/hl7:section/hl7:code"
         id="tmp-a73dc31d-caf5-48a0-9213-fe7c475d9afa">
      <let name="xsiTypePfx" value="substring-before(@xsi:type,':')"/>
      <let name="xsiTypeVal"
           value="if (contains(@xsi:type,':')) then (substring-after(@xsi:type,':')) else (@xsi:type)"/>
      <let name="xsiTypeNS" value="namespace-uri-for-prefix($xsiTypePfx,.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.204.html"
              test="@nullFlavor or ($xsiTypeVal='CE' and $xsiTypeNS='urn:hl7-org:v3') or not(@xsi:type)">(ProcedureFindingsSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.204.html"
              test="@nullFlavor or (@code='59776-5' and @codeSystem='2.16.840.1.113883.6.1')">(ProcedureFindingsSection): de waarde van @code/@codeSystem MOET ''59776-5' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.204
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.204']]/hl7:section/hl7:title
Item: (ProcedureFindingsSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.204']]/hl7:section/hl7:title"
         id="tmp-9818b78e-625d-4404-b532-096d3a44b79d">
      <let name="xsiTypePfx" value="substring-before(@xsi:type,':')"/>
      <let name="xsiTypeVal"
           value="if (contains(@xsi:type,':')) then (substring-after(@xsi:type,':')) else (@xsi:type)"/>
      <let name="xsiTypeNS" value="namespace-uri-for-prefix($xsiTypePfx,.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.204.html"
              test="@nullFlavor or ($xsiTypeVal='ST' and $xsiTypeNS='urn:hl7-org:v3') or not(@xsi:type)">(ProcedureFindingsSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.204.html"
              test="text()='Verslag'">(ProcedureFindingsSection): de element content van hl7:title MOET ''Verslag'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.204
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.204']]/hl7:section/hl7:text
Item: (ProcedureFindingsSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.204']]/hl7:section/hl7:text"
         id="tmp-2fed22dc-329b-45d6-9042-d061550a9877">
      <let name="xsiTypePfx" value="substring-before(@xsi:type,':')"/>
      <let name="xsiTypeVal"
           value="if (contains(@xsi:type,':')) then (substring-after(@xsi:type,':')) else (@xsi:type)"/>
      <let name="xsiTypeNS" value="namespace-uri-for-prefix($xsiTypePfx,.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.204.html"
              test="@nullFlavor or ($xsiTypeVal='ED' and $xsiTypeNS='urn:hl7-org:v3') or not(@xsi:type)">(ProcedureFindingsSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.204
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.204']]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.337']]]
Item: (ProcedureFindingsSection)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.204
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.204']]/hl7:section/hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.307']]]
Item: (ProcedureFindingsSection)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.204
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.204']]/hl7:section/hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.320']]]
Item: (ProcedureFindingsSection)
--></pattern>