<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.210
Description: The Macroscopic Observation section contains the description of the specimen received or obtained by the laboratory (specimen type and state), the gross observation, links to gross images, if taken, processing information and tissue disposition (representative sampling and tissue submitted for additional studies or sent to biorepository.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.210">
   <title>Macroscopie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.210
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.210']]
Item: (GrossObservationSection)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.210
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:section
Item: (GrossObservationSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:section"
         id="tmp-b505ca3b-0458-498c-9f8f-6be66a6fbf8f">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="string(@classCode)='DOCSECT'">(GrossObservationSection): de waarde van @classCode MOET 'DOCSECT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.210'])&gt;=1 ">(GrossObservationSection): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.210'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.210'])&lt;=1">(GrossObservationSection): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.210'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(GrossObservationSection): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="count(hl7:code)&lt;=1">(GrossObservationSection): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(GrossObservationSection): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="count(hl7:title)&lt;=1">(GrossObservationSection): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(GrossObservationSection): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="count(hl7:text)&lt;=1">(GrossObservationSection): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.210
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.210']
Item: (GrossObservationSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.210']"
         id="tmp-95886f72-700c-47dd-b8ed-91a67c52913a">
      <let name="xsiTypePfx" value="substring-before(@xsi:type,':')"/>
      <let name="xsiTypeVal"
           value="if (contains(@xsi:type,':')) then (substring-after(@xsi:type,':')) else (@xsi:type)"/>
      <let name="xsiTypeNS" value="namespace-uri-for-prefix($xsiTypePfx,.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="@nullFlavor or ($xsiTypeVal='II' and $xsiTypeNS='urn:hl7-org:v3') or not(@xsi:type)">(GrossObservationSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.36.10.210'">(GrossObservationSection): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.210' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(GrossObservationSection): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.210
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:section/hl7:code
Item: (GrossObservationSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:section/hl7:code"
         id="tmp-fce6f815-4860-4ff2-bd9a-bbdce6ab4141">
      <let name="xsiTypePfx" value="substring-before(@xsi:type,':')"/>
      <let name="xsiTypeVal"
           value="if (contains(@xsi:type,':')) then (substring-after(@xsi:type,':')) else (@xsi:type)"/>
      <let name="xsiTypeNS" value="namespace-uri-for-prefix($xsiTypePfx,.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="@nullFlavor or ($xsiTypeVal='CD' and $xsiTypeNS='urn:hl7-org:v3') or not(@xsi:type)">(GrossObservationSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="@nullFlavor or (@code='22634-0' and @codeSystem='2.16.840.1.113883.6.1')">(GrossObservationSection): de waarde van @code/@codeSystem MOET ''22634-0' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.210
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:section/hl7:title
Item: (GrossObservationSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:section/hl7:title"
         id="tmp-5f8f567c-9d53-48da-90bf-20c407129cb7">
      <let name="xsiTypePfx" value="substring-before(@xsi:type,':')"/>
      <let name="xsiTypeVal"
           value="if (contains(@xsi:type,':')) then (substring-after(@xsi:type,':')) else (@xsi:type)"/>
      <let name="xsiTypeNS" value="namespace-uri-for-prefix($xsiTypePfx,.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="@nullFlavor or ($xsiTypeVal='ST' and $xsiTypeNS='urn:hl7-org:v3') or not(@xsi:type)">(GrossObservationSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="text()='Macroscopie'">(GrossObservationSection): de element content van hl7:title MOET ''Macroscopie'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.210
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:section/hl7:text
Item: (GrossObservationSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:section/hl7:text"
         id="tmp-a6fe3503-49ad-4c55-9839-8d40a897aedd">
      <let name="xsiTypePfx" value="substring-before(@xsi:type,':')"/>
      <let name="xsiTypeVal"
           value="if (contains(@xsi:type,':')) then (substring-after(@xsi:type,':')) else (@xsi:type)"/>
      <let name="xsiTypeNS" value="namespace-uri-for-prefix($xsiTypePfx,.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="@nullFlavor or ($xsiTypeVal='ST' and $xsiTypeNS='urn:hl7-org:v3') or not(@xsi:type)">(GrossObservationSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.210
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:section/hl7:entry[hl7:act[hl7:code[@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (GrossObservationSection)
-->
<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:section/hl7:entry[hl7:act[hl7:code[@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-1e948abe-6186-431b-a75f-9ed0a62c1552">
      <extends rule="tmp-38f995ad-d4be-41e6-8760-cceff9fd46f6"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="string(@typeCode)='DRIV'">(GrossObservationSection): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.210
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:section
Item: (SpecimenMacroscopicObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.210
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:section/hl7:entry[hl7:act[hl7:code[@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: (SpecimenMacroscopicObservation)
-->
<rule id="tmp-38f995ad-d4be-41e6-8760-cceff9fd46f6" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="count(hl7:act)&gt;=1 and not(hl7:act/@nullFlavor)">(SpecimenMacroscopicObservation): element hl7:act is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="count(hl7:act)&lt;=1">(SpecimenMacroscopicObservation): element hl7:act komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.210
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:section/hl7:entry[hl7:act[hl7:code[@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:act
Item: (SpecimenMacroscopicObservation)
-->
<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:section/hl7:entry[hl7:act[hl7:code[@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:act"
         id="tmp-1afa5923-3332-4730-8de3-910fa1e1c851">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="string(@classCode)='ACT'">(SpecimenMacroscopicObservation): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="string(@moodCode)='EVN'">(SpecimenMacroscopicObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550'])&gt;=1 ">(SpecimenMacroscopicObservation): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550'])&lt;=1">(SpecimenMacroscopicObservation): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(SpecimenMacroscopicObservation): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="count(hl7:code)&lt;=1">(SpecimenMacroscopicObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="count(hl7:specimen)&gt;=1 and not(hl7:specimen/@nullFlavor)">(SpecimenMacroscopicObservation): element hl7:specimen is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="count(hl7:specimen)&lt;=1">(SpecimenMacroscopicObservation): element hl7:specimen komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.210
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:section/hl7:entry[hl7:act[hl7:code[@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550']
Item: (SpecimenMacroscopicObservation)
-->
<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:section/hl7:entry[hl7:act[hl7:code[@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.550']"
         id="tmp-15eca67c-deeb-41c6-a86d-684cc9e0ae44">
      <let name="xsiTypePfx" value="substring-before(@xsi:type,':')"/>
      <let name="xsiTypeVal"
           value="if (contains(@xsi:type,':')) then (substring-after(@xsi:type,':')) else (@xsi:type)"/>
      <let name="xsiTypeNS" value="namespace-uri-for-prefix($xsiTypePfx,.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="@nullFlavor or ($xsiTypeVal='II' and $xsiTypeNS='urn:hl7-org:v3') or not(@xsi:type)">(SpecimenMacroscopicObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.36.10.550'">(SpecimenMacroscopicObservation): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.550' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(SpecimenMacroscopicObservation): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.210
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:section/hl7:entry[hl7:act[hl7:code[@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:act/hl7:code
Item: (SpecimenMacroscopicObservation)
-->
<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:section/hl7:entry[hl7:act[hl7:code[@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:act/hl7:code"
         id="tmp-10f0a887-f4db-470c-828d-89a19d4e9e69">
      <let name="xsiTypePfx" value="substring-before(@xsi:type,':')"/>
      <let name="xsiTypeVal"
           value="if (contains(@xsi:type,':')) then (substring-after(@xsi:type,':')) else (@xsi:type)"/>
      <let name="xsiTypeNS" value="namespace-uri-for-prefix($xsiTypePfx,.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="@nullFlavor or ($xsiTypeVal='CE' and $xsiTypeNS='urn:hl7-org:v3') or not(@xsi:type)">(SpecimenMacroscopicObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="@nullFlavor or (@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1')">(SpecimenMacroscopicObservation): de waarde van @code/@codeSystem MOET ''X-LAB-SPMSCT' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.210
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:section/hl7:entry[hl7:act[hl7:code[@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:act/hl7:specimen
Item: (SpecimenMacroscopicObservation)
-->
<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:section/hl7:entry[hl7:act[hl7:code[@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:act/hl7:specimen"
         id="tmp-2d62e321-bdcf-4232-b9b2-80d3e9f8e651">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="string(@typeCode)='SPC'">(SpecimenMacroscopicObservation): de waarde van @typeCode MOET 'SPC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="count(hl7:specimenRole)&gt;=1 and not(hl7:specimenRole/@nullFlavor)">(SpecimenMacroscopicObservation): element hl7:specimenRole is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="count(hl7:specimenRole)&lt;=1">(SpecimenMacroscopicObservation): element hl7:specimenRole komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.210
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:section/hl7:entry[hl7:act[hl7:code[@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:act/hl7:specimen/hl7:specimenRole
Item: (SpecimenMacroscopicObservation)
-->
<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:section/hl7:entry[hl7:act[hl7:code[@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:act/hl7:specimen/hl7:specimenRole"
         id="tmp-c78689b4-e6bc-4fb7-b35d-6c5a1f1eaf3d">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="string(@classCode)='SPEC'">(SpecimenMacroscopicObservation): de waarde van @classCode MOET 'SPEC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(SpecimenMacroscopicObservation): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="count(hl7:id)&lt;=1">(SpecimenMacroscopicObservation): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="count(hl7:specimenPlayingEntity)&lt;=1">(SpecimenMacroscopicObservation): element hl7:specimenPlayingEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.210
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:section/hl7:entry[hl7:act[hl7:code[@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:act/hl7:specimen/hl7:specimenRole/hl7:id
Item: (SpecimenMacroscopicObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.210
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:section/hl7:entry[hl7:act[hl7:code[@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:act/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity
Item: (SpecimenMacroscopicObservation)
-->
<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:section/hl7:entry[hl7:act[hl7:code[@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:act/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity"
         id="tmp-a9f72c1e-6f67-4be4-a6a7-f720ef5b2ed2">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="string(@determinerCode)='INSTANCE'">(SpecimenMacroscopicObservation): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="string(@classCode)='ENT'">(SpecimenMacroscopicObservation): de waarde van @classCode MOET 'ENT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(SpecimenMacroscopicObservation): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="count(hl7:code)&lt;=1">(SpecimenMacroscopicObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="count(hl7:quantity)&lt;=1">(SpecimenMacroscopicObservation): element hl7:quantity komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="count(lab:asSpecimenInContainer)&lt;=1">(SpecimenMacroscopicObservation): element lab:asSpecimenInContainer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.210
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:section/hl7:entry[hl7:act[hl7:code[@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:act/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity/hl7:code
Item: (SpecimenMacroscopicObservation)
-->
<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:section/hl7:entry[hl7:act[hl7:code[@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:act/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity/hl7:code"
         id="tmp-a76b39dc-bcf2-453c-aaae-57d8c0cc4669">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-vs_monstermateriaal-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-vs_monstermateriaal-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(SpecimenMacroscopicObservation): de waarde van @code MOET worden gekozen uit waardenlijst vs_monstermateriaal Monster materiaal DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(SpecimenMacroscopicObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst vs_monstermateriaal Monster materiaal DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.210
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:section/hl7:entry[hl7:act[hl7:code[@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:act/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity/hl7:quantity
Item: (SpecimenMacroscopicObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.210
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:section/hl7:entry[hl7:act[hl7:code[@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:act/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity/lab:asSpecimenInContainer
Item: (SpecimenMacroscopicObservation)
-->
<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:section/hl7:entry[hl7:act[hl7:code[@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:act/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity/lab:asSpecimenInContainer"
         id="tmp-e00f05bc-010d-4cc1-b18e-184414457513">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="string(@classCode)='CONT'">(SpecimenMacroscopicObservation): de waarde van @classCode MOET 'CONT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="count(lab:container)&gt;=1 and not(lab:container/@nullFlavor)">(SpecimenMacroscopicObservation): element lab:container is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="count(lab:container)&lt;=1">(SpecimenMacroscopicObservation): element lab:container komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.210
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:section/hl7:entry[hl7:act[hl7:code[@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:act/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity/lab:asSpecimenInContainer/lab:container
Item: (SpecimenMacroscopicObservation)
-->
<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:section/hl7:entry[hl7:act[hl7:code[@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:act/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity/lab:asSpecimenInContainer/lab:container"
         id="tmp-ac272aa8-8b0b-4c41-84ab-cb5666ff45e4">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="string(@determinerCode)='INSTANCE'">(SpecimenMacroscopicObservation): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="string(@classCode)='CONT'">(SpecimenMacroscopicObservation): de waarde van @classCode MOET 'CONT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="count(lab:id)&gt;=1 and not(lab:id/@nullFlavor)">(SpecimenMacroscopicObservation): element lab:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="count(lab:id)&lt;=1">(SpecimenMacroscopicObservation): element lab:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.210
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:section/hl7:entry[hl7:act[hl7:code[@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:act/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity/lab:asSpecimenInContainer/lab:container/lab:id
Item: (SpecimenMacroscopicObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.210
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:section/hl7:entry[hl7:act[hl7:code[@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:act/hl7:specimen/hl7:specimenRole/lab:productOf
Item: (SpecimenMacroscopicObservation)
-->
<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:section/hl7:entry[hl7:act[hl7:code[@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:act/hl7:specimen/hl7:specimenRole/lab:productOf"
         id="tmp-72ba7794-59a9-417d-8ae5-78bcb82d3998">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="string(@typeCode)='PRD'">(SpecimenMacroscopicObservation): de waarde van @typeCode MOET 'PRD' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.210
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:section/hl7:entry[hl7:act[hl7:code[@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:act/hl7:specimen/hl7:specimenRole/lab:productOf/lab:specimenCollectionProcess
Item: (SpecimenMacroscopicObservation)
-->
<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:section/hl7:entry[hl7:act[hl7:code[@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:act/hl7:specimen/hl7:specimenRole/lab:productOf/lab:specimenCollectionProcess"
         id="tmp-78d07162-b078-428b-96c9-050b52e310bc">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="string(@classCode)='SPECCOLLECT'">(SpecimenMacroscopicObservation): de waarde van @classCode MOET 'SPECCOLLECT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="string(@moodCode)='EVN'">(SpecimenMacroscopicObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="count(lab:code)&lt;=1">(SpecimenMacroscopicObservation): element lab:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="count(lab:effectiveTime)&lt;=1">(SpecimenMacroscopicObservation): element lab:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="count(lab:targetSiteCode)&lt;=1">(SpecimenMacroscopicObservation): element lab:targetSiteCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.210
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:section/hl7:entry[hl7:act[hl7:code[@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:act/hl7:specimen/hl7:specimenRole/lab:productOf/lab:specimenCollectionProcess/lab:code
Item: (SpecimenMacroscopicObservation)
-->
<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:section/hl7:entry[hl7:act[hl7:code[@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:act/hl7:specimen/hl7:specimenRole/lab:productOf/lab:specimenCollectionProcess/lab:code"
         id="tmp-4eab9d3a-3f5d-43d2-b1ff-46646f155585">
      <let name="xsiTypePfx" value="substring-before(@xsi:type,':')"/>
      <let name="xsiTypeVal"
           value="if (contains(@xsi:type,':')) then (substring-after(@xsi:type,':')) else (@xsi:type)"/>
      <let name="xsiTypeNS" value="namespace-uri-for-prefix($xsiTypePfx,.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="@nullFlavor or ($xsiTypeVal='CE' and $xsiTypeNS='urn:hl7-org:v3') or not(@xsi:type)">(SpecimenMacroscopicObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-vs_verkrijgingswijze-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-vs_verkrijgingswijze-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(SpecimenMacroscopicObservation): de waarde van @code MOET worden gekozen uit waardenlijst vs_verkrijgingswijze DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(SpecimenMacroscopicObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst vs_verkrijgingswijze DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.210
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:section/hl7:entry[hl7:act[hl7:code[@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:act/hl7:specimen/hl7:specimenRole/lab:productOf/lab:specimenCollectionProcess/lab:effectiveTime
Item: (SpecimenMacroscopicObservation)
-->
<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:section/hl7:entry[hl7:act[hl7:code[@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:act/hl7:specimen/hl7:specimenRole/lab:productOf/lab:specimenCollectionProcess/lab:effectiveTime"
         id="tmp-ef777139-6277-4c6b-b2e7-7fef523b33fd">
      <let name="xsiTypePfx" value="substring-before(@xsi:type,':')"/>
      <let name="xsiTypeVal"
           value="if (contains(@xsi:type,':')) then (substring-after(@xsi:type,':')) else (@xsi:type)"/>
      <let name="xsiTypeNS" value="namespace-uri-for-prefix($xsiTypePfx,.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="@nullFlavor or ($xsiTypeVal='TS' and $xsiTypeNS='urn:hl7-org:v3') or not(@xsi:type)">(SpecimenMacroscopicObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS.DATE.MIN" bevatten</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.210
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:section/hl7:entry[hl7:act[hl7:code[@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:act/hl7:specimen/hl7:specimenRole/lab:productOf/lab:specimenCollectionProcess/lab:targetSiteCode
Item: (SpecimenMacroscopicObservation)
-->
<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.210']]/hl7:section/hl7:entry[hl7:act[hl7:code[@code='X-LAB-SPMSCT' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:act/hl7:specimen/hl7:specimenRole/lab:productOf/lab:specimenCollectionProcess/lab:targetSiteCode"
         id="tmp-1b6e370b-0f92-4461-934f-a1c2700583d9">
      <let name="xsiTypePfx" value="substring-before(@xsi:type,':')"/>
      <let name="xsiTypeVal"
           value="if (contains(@xsi:type,':')) then (substring-after(@xsi:type,':')) else (@xsi:type)"/>
      <let name="xsiTypeNS" value="namespace-uri-for-prefix($xsiTypePfx,.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="@nullFlavor or ($xsiTypeVal='CE' and $xsiTypeNS='urn:hl7-org:v3') or not(@xsi:type)">(SpecimenMacroscopicObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-vs_lokalisatie-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-vs_lokalisatie-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(SpecimenMacroscopicObservation): de waarde van @code MOET worden gekozen uit waardenlijst vs_lokalisatie Lokalisatie laesie bij coloscopie DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.210.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(SpecimenMacroscopicObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst vs_lokalisatie Lokalisatie laesie bij coloscopie DYNAMIC.</assert>
   </rule>
</pattern>