<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.325
Description: Template: Appendix vastgelegd
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.325">
   <title>Appendix photo</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.325
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.325']]
Item: (Appendixphoto)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.325
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.325']]/hl7:observation
Item: (Appendixphoto)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.325']]/hl7:observation"
         id="tmp-0a9cca5c-bc1a-4750-b673-fb97fb4c62ac">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.325.html"
              test="string(@classCode)='OBS'">(Appendixphoto): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.325.html"
              test="string(@moodCode)='EVN'">(Appendixphoto): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.325.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.325'])&gt;=1 ">(Appendixphoto): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.325'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.325.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.325'])&lt;=1">(Appendixphoto): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.325'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.325.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Appendixphoto): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.325.html"
              test="count(hl7:code)&lt;=1">(Appendixphoto): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.325.html"
              test="count(hl7:text)&lt;=1">(Appendixphoto): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.325.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(Appendixphoto): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.325.html"
              test="count(hl7:value)&lt;=1">(Appendixphoto): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.325
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.325']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.325']
Item: (Appendixphoto)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.325']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.325']"
         id="tmp-a5f1682a-4423-4bbf-8958-1d02c490a2f8">
      <let name="xsiTypePfx" value="substring-before(@xsi:type,':')"/>
      <let name="xsiTypeVal"
           value="if (contains(@xsi:type,':')) then (substring-after(@xsi:type,':')) else (@xsi:type)"/>
      <let name="xsiTypeNS" value="namespace-uri-for-prefix($xsiTypePfx,.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.325.html"
              test="@nullFlavor or ($xsiTypeVal='II' and $xsiTypeNS='urn:hl7-org:v3') or not(@xsi:type)">(Appendixphoto): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.325.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.36.10.325'">(Appendixphoto): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.325' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.325.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Appendixphoto): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.325
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.325']]/hl7:observation/hl7:code
Item: (Appendixphoto)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.325']]/hl7:observation/hl7:code"
         id="tmp-6ee20f45-e3fc-420b-ad12-d243a9c8e695">
      <let name="xsiTypePfx" value="substring-before(@xsi:type,':')"/>
      <let name="xsiTypeVal"
           value="if (contains(@xsi:type,':')) then (substring-after(@xsi:type,':')) else (@xsi:type)"/>
      <let name="xsiTypeNS" value="namespace-uri-for-prefix($xsiTypePfx,.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.325.html"
              test="@nullFlavor or ($xsiTypeVal='CE' and $xsiTypeNS='urn:hl7-org:v3') or not(@xsi:type)">(Appendixphoto): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.325.html"
              test="@nullFlavor or (@code='C140032' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.200')">(Appendixphoto): de waarde van @code/@codeSystem MOET ''C140032' codeSystem '2.16.840.1.113883.2.4.3.36.77.5.200'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.325
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.325']]/hl7:observation/hl7:text
Item: (Appendixphoto)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.325']]/hl7:observation/hl7:text"
         id="tmp-e99d1323-4d59-4a01-9f0d-352672f636bb">
      <let name="xsiTypePfx" value="substring-before(@xsi:type,':')"/>
      <let name="xsiTypeVal"
           value="if (contains(@xsi:type,':')) then (substring-after(@xsi:type,':')) else (@xsi:type)"/>
      <let name="xsiTypeNS" value="namespace-uri-for-prefix($xsiTypePfx,.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.325.html"
              test="@nullFlavor or ($xsiTypeVal='ED' and $xsiTypeNS='urn:hl7-org:v3') or not(@xsi:type)">(Appendixphoto): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.325.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Appendixphoto): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.325.html"
              test="count(hl7:reference)&lt;=1">(Appendixphoto): element hl7:reference komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.325
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.325']]/hl7:observation/hl7:text/hl7:reference
Item: (Appendixphoto)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.325']]/hl7:observation/hl7:text/hl7:reference"
         id="tmp-5eb2a7cd-e341-4914-97cc-956f04066063">
      <let name="xsiTypePfx" value="substring-before(@xsi:type,':')"/>
      <let name="xsiTypeVal"
           value="if (contains(@xsi:type,':')) then (substring-after(@xsi:type,':')) else (@xsi:type)"/>
      <let name="xsiTypeNS" value="namespace-uri-for-prefix($xsiTypePfx,.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.325.html"
              test="@nullFlavor or ($xsiTypeVal='TEL' and $xsiTypeNS='urn:hl7-org:v3') or not(@xsi:type)">(Appendixphoto): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.325
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.325']]/hl7:observation/hl7:value
Item: (Appendixphoto)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.325']]/hl7:observation/hl7:value"
         id="tmp-ff00ef37-3027-4d63-93ab-0b2269697b92">
      <let name="xsiTypePfx" value="substring-before(@xsi:type,':')"/>
      <let name="xsiTypeVal"
           value="if (contains(@xsi:type,':')) then (substring-after(@xsi:type,':')) else (@xsi:type)"/>
      <let name="xsiTypeNS" value="namespace-uri-for-prefix($xsiTypePfx,.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.325.html"
              test="@nullFlavor or ($xsiTypeVal='BL' and $xsiTypeNS='urn:hl7-org:v3') or not(@xsi:type)">(Appendixphoto): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>