<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.328
Description: Template: Patiëntcomfort (GCS)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.328">
   <title>Gloucester Comfort Score (GCS)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.328
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.328']]
Item: (Gloucestercomfortscore)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.328
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.328']]/hl7:observation
Item: (Gloucestercomfortscore)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.328']]/hl7:observation"
         id="tmp-50b0686d-b1dc-4bbd-8a1b-d5a060f3b40b">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.328.html"
              test="string(@classCode)='OBS'">(Gloucestercomfortscore): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.328.html"
              test="string(@moodCode)='EVN'">(Gloucestercomfortscore): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.328.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.328'])&gt;=1 ">(Gloucestercomfortscore): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.328'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.328.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.328'])&lt;=1">(Gloucestercomfortscore): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.328'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.328.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Gloucestercomfortscore): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.328.html"
              test="count(hl7:code)&lt;=1">(Gloucestercomfortscore): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.328.html"
              test="count(hl7:text)&lt;=1">(Gloucestercomfortscore): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.328.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(Gloucestercomfortscore): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.328.html"
              test="count(hl7:value)&lt;=1">(Gloucestercomfortscore): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.328
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.328']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.328']
Item: (Gloucestercomfortscore)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.328']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.328']"
         id="tmp-a5371b1e-37b3-4084-ba64-70e8d60f8f0b">
      <let name="xsiTypePfx" value="substring-before(@xsi:type,':')"/>
      <let name="xsiTypeVal"
           value="if (contains(@xsi:type,':')) then (substring-after(@xsi:type,':')) else (@xsi:type)"/>
      <let name="xsiTypeNS" value="namespace-uri-for-prefix($xsiTypePfx,.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.328.html"
              test="@nullFlavor or ($xsiTypeVal='II' and $xsiTypeNS='urn:hl7-org:v3') or not(@xsi:type)">(Gloucestercomfortscore): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.328.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.36.10.328'">(Gloucestercomfortscore): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.328' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.328.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Gloucestercomfortscore): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.328
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.328']]/hl7:observation/hl7:code
Item: (Gloucestercomfortscore)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.328']]/hl7:observation/hl7:code"
         id="tmp-56a87431-51fc-49d4-99f3-feff8e12dd9e">
      <let name="xsiTypePfx" value="substring-before(@xsi:type,':')"/>
      <let name="xsiTypeVal"
           value="if (contains(@xsi:type,':')) then (substring-after(@xsi:type,':')) else (@xsi:type)"/>
      <let name="xsiTypeNS" value="namespace-uri-for-prefix($xsiTypePfx,.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.328.html"
              test="@nullFlavor or ($xsiTypeVal='CE' and $xsiTypeNS='urn:hl7-org:v3') or not(@xsi:type)">(Gloucestercomfortscore): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.328.html"
              test="@nullFlavor or (@code='X_GCS' and @codeSystem='2.16.840.1.113883.6.1')">(Gloucestercomfortscore): de waarde van @code/@codeSystem MOET ''X_GCS' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.328
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.328']]/hl7:observation/hl7:text
Item: (Gloucestercomfortscore)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.328']]/hl7:observation/hl7:text"
         id="tmp-51e4aec5-dcce-4d02-bdab-5fe27ce6067d">
      <let name="xsiTypePfx" value="substring-before(@xsi:type,':')"/>
      <let name="xsiTypeVal"
           value="if (contains(@xsi:type,':')) then (substring-after(@xsi:type,':')) else (@xsi:type)"/>
      <let name="xsiTypeNS" value="namespace-uri-for-prefix($xsiTypePfx,.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.328.html"
              test="@nullFlavor or ($xsiTypeVal='ED' and $xsiTypeNS='urn:hl7-org:v3') or not(@xsi:type)">(Gloucestercomfortscore): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.328.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Gloucestercomfortscore): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.328.html"
              test="count(hl7:reference)&lt;=1">(Gloucestercomfortscore): element hl7:reference komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.328
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.328']]/hl7:observation/hl7:text/hl7:reference
Item: (Gloucestercomfortscore)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.328']]/hl7:observation/hl7:text/hl7:reference"
         id="tmp-bbcf8d1d-05fb-4297-b97a-2e97eb203796">
      <let name="xsiTypePfx" value="substring-before(@xsi:type,':')"/>
      <let name="xsiTypeVal"
           value="if (contains(@xsi:type,':')) then (substring-after(@xsi:type,':')) else (@xsi:type)"/>
      <let name="xsiTypeNS" value="namespace-uri-for-prefix($xsiTypePfx,.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.328.html"
              test="@nullFlavor or ($xsiTypeVal='TEL' and $xsiTypeNS='urn:hl7-org:v3') or not(@xsi:type)">(Gloucestercomfortscore): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.328
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.328']]/hl7:observation/hl7:value
Item: (Gloucestercomfortscore)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.328']]/hl7:observation/hl7:value"
         id="tmp-df17ef9d-ab0a-42d4-b5eb-9114acdcd975">
      <let name="xsiTypePfx" value="substring-before(@xsi:type,':')"/>
      <let name="xsiTypeVal"
           value="if (contains(@xsi:type,':')) then (substring-after(@xsi:type,':')) else (@xsi:type)"/>
      <let name="xsiTypeNS" value="namespace-uri-for-prefix($xsiTypePfx,.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.328.html"
              test="@nullFlavor or ($xsiTypeVal='CO' and $xsiTypeNS='urn:hl7-org:v3') or not(@xsi:type)">(Gloucestercomfortscore): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CO" bevatten</assert>
      <extends rule="CO"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-vs_gloucestercomfortscore-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-vs_gloucestercomfortscore-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.328.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Gloucestercomfortscore): de waarde van @code MOET worden gekozen uit waardenlijst vs_gloucestercomfortscore Gloucester comfort score DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130110T122615/tmp-2.16.840.1.113883.2.4.3.36.10.328.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Gloucestercomfortscore): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst vs_gloucestercomfortscore Gloucester comfort score DYNAMIC.</assert>
   </rule>
</pattern>